global function CodeCallback_MapInit
#if SERVER
entity function CreateEditorProp(asset a, vector pos, vector ang, bool mantle = false, float fade = 2000)
{
	entity e = CreatePropDynamic(a,pos,ang,SOLID_VPHYSICS,fade)
	e.kv.fadedist = fade
	if(mantle) e.AllowMantle()
	return e
}
#endif

void function CodeCallback_MapInit()
{
	PrecacheModel($"models/industrial/modular_wall_metal_brace_03.mdl")
	PrecacheModel($"models/domestic/wall_panel_fiberglass_corner.mdl")
	PrecacheModel($"models/door/door_imc_interior_03_128.mdl")
	PrecacheModel($"models/imc_base/imc_tech_panel_64_01.mdl")
	PrecacheModel($"models/imc_base/cargo_container_imc_01_orange.mdl")
	PrecacheModel($"models/rise/rise_door_01.mdl")

	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1984.91,609.656,298.719>,< -0.878906,179.736,22.6758>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1847.03,600.5,293.344>,< -3.12012,179.209,27.8613>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1697.97,667.75,369.625>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1554.97,667.75,369.625>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1412,667.75,369.625>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1178.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1035.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -892.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -749.5,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -606.531,666.844,368.344>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1908.41,668.25,366.188>,< 0,-1.01074,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1908.41,668.25,469.969>,< 0,-1.01074,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1769.34,673.969,377.5>,< 0,134.604,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1769.34,673.969,481.25>,< 0,134.604,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1626.78,675.5,370>,< 0,134.209,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1626.78,675.5,473.75>,< 0,134.209,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1483.72,676.063,369.5>,< 0,133.682,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1483.72,676.063,473.313>,< 0,133.682,0>, true, 8000 )
	CreateEditorProp($"models/door/door_imc_interior_03_128.mdl",< -661.094,672.063,380.375>,< 0,90,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1106.59,672.969,378.25>,< 0,129.99,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -1106.59,672.969,482.094>,< 0,129.99,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -963.75,674.688,374.5>,< 0,133.989,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -963.75,674.688,478.313>,< 0,133.989,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -821.5,673.688,372.094>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -821.5,673.688,475.875>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -678.906,672.5,370.125>,< 0,135,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< -678.906,672.5,473.875>,< 0,135,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/imc_tech_panel_64_01.mdl",< -1339.94,670.875,339.375>,< 0,90,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/imc_tech_panel_64_01.mdl",< -1405.72,670.875,339.375>,< 0,90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 918.313,538.656,366.375>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1001.34,470.438,365.563>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1213.81,299.594,372.125>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1297.88,231.875,372>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1248.53,1086.25,355.313>,< 0,-170.2,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1356.41,1081.13,355.438>,< 0,-83.0127,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -172.781,192.625,313.75>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1109.56,337.344,232.813>,< 0.307617,180,-3.99902>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1110.81,341.125,329.5>,< 0.219727,180,-2.98828>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1108.57,269.206,414.743>,< 2.72461,-179.912,-10.8545>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -171.548,192.546,406.923>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -170.094,193.063,222.375>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -160.969,100.688,211.969>,< 15.0293,-173.057,0.131836>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1105.54,-291.419,364.121>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1204.13,-365.383,367.129>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -2000.06,-605.031,362.5>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1999.78,-431.969,360.406>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -3134.06,165.531,518.813>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -3025.59,166.563,519.563>,< 0,180,0>, true, 8000 )
	CreateEditorProp($"models/door/door_imc_interior_03_128.mdl",< -2007.97,-485.25,367.438>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/door/door_imc_interior_03_128.mdl",< -2007,-484.813,460.625>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1999.06,-432.938,479.563>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -1998.06,-605.031,482.719>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 709.344,713.375,363.875>,< 0,141.021,0>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< -188.344,1307.94,208.281>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3294.59,1410.72,316.094>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1357.91,1081.34,447.719>,< 0,-83.0127,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3205.13,1409.34,316.094>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3294.28,1411.44,412>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3205.38,1409.88,412.813>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3205.72,1410.03,509.031>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3294.22,1411.81,508.875>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3295.16,1292.69,316.531>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3207.75,1291.31,316.438>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3295.13,1290.91,410.875>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -3207.25,1288.81,412.531>,< 0,88.9893,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 3983.19,1607.25,78.3438>,< -0.922852,88.9893,2.02148>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 4002.5,1498.66,77>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 4002.38,1498.69,175.688>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 4002.88,1498.44,272.438>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 3988.56,1604.25,174.813>,< -0.922852,88.9893,2.02148>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 3990.53,1601.25,272.469>,< -0.922852,88.9893,2.02148>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1204.14,-365.19,494.344>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1105.06,-291,492.454>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1289.68,-430.323,367.199>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< 1288.5,-429.543,491.056>,< 0,141.987,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -599.294,-1421.52,445.619>,< -0,137,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -986.111,-1097.19,236.014>,< 0,-135,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -986.111,-1097.19,363.218>,< 0,-135,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -986.111,-1097.19,490.422>,< 0,-135,0>, true, 8000 )
	CreateEditorProp($"models/industrial/modular_wall_metal_brace_03.mdl",< -986.111,-1097.19,618.626>,< 0,-135,0>, true, 8000 )
	CreateEditorProp($"models/rise/rise_door_01.mdl",< -739.932,-674.488,248.313>,< 0,-90,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1030.85,-1055.96,245.719>,< -0,45,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1030.85,-1055.95,344.097>,< 0,45,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< -1032.39,-1055.07,440.536>,< 0,45,0>, true, 8000 )
	CreateEditorProp($"models/imc_base/cargo_container_imc_01_orange.mdl",< 586.408,827.854,408.501>,< 0,0,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 642.924,782.199,394.255>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 650.741,776.218,394.185>,< 0,137.021,0>, true, 8000 )
	CreateEditorProp($"models/domestic/wall_panel_fiberglass_corner.mdl",< 658.276,770.347,394.565>,< 0,137.021,0>, true, 8000 )
}